Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class PredefinedFunction

    java.lang.Object
      ru.biosoft.math.model.PredefinedFunction

All Implemented Interfaces:
  Function

public class PredefinedFunction
extends java.lang.Object
implements Function

Predefined functions and operators.

Field Summary

Fields inherited from interface ru.biosoft.math.model.Function
`ASSIGNMENT_PRIORITY, FUNCTION_PRIORITY, LOGICAL_PRIORITY, PLUS_PRIORITY, POWER_PRIORITY, RELATIONAL_PRIORITY, TIMES_PRIORITY, UNARY_PRIORITY`

Constructor Summary
`PredefinedFunction(java.lang.String name, int priority, int numberOfParameters)`

Method Summary
`java.lang.String` | `getName()` Returns the name of the node (operator symbol or function name).
`int` | `getNumberOfParameters()` Returns the number of required parameters, or -1 if any number of parameters is allowed.
`int` | `getPriority()` Returns the function or operator priority.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PredefinedFunction

    public PredefinedFunction(java.lang.String name,
                              int priority,
                              int numberOfParameters)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the node (operator symbol or function name).

  Specified by:
    `getName` in interface `Function`

### getPriority

    public int getPriority()

  Returns the function or operator priority.

  Specified by:
    `getPriority` in interface `Function`

### getNumberOfParameters

    public int getNumberOfParameters()

  Returns the number of required parameters, or -1 if any number of parameters is allowed.

  Specified by:
    `getNumberOfParameters` in interface `Function`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.